///////////////////////////////////////////////////////////////////////////////////////
///														///
///	Shader scripts for Schadenfreude 2001 (schad_q3w.bsp).				///
///	Shader scripts may be freely modified/redistributed by other map authors 	///
///	for non-profit purposes.			  						///
///														///
///	ALL REFERENCED TEXTURES REMAIN THE PROPERTY OF THEIR ORIGINAL OWNER.		///
///	The following textures are modified from those produced by id Software for	///
///	Quake III: Arena and may ONLY be redistributed for use with this	 		///
///	game:													///
///		blueshiny.tga; bluefx.jpg; redshiny.tga;						///
///		redfx.jpg; bluetrimmap.jpg; blueventmap.jpg;					///
///		redtrimmap.jpg; redventmap.jpg							///
///														///
///	The texture pa_both.tga is modified from the Penny Arcade online comic strip,	///
///	www.penny-arcade.com.										///
///														///
///														///
///	All other textures were made by Jason Gill ("Cornelius") and may be 		///
///	re-distributed freely only if included in a .pk3 file which also 			///
///	contains a .bsp and .shader script which references the texture(s).  		///
///	Redistribution for profit or as part of a texture pack requires the 		///
///	author's permission.										///
///														///
///	j_j_gill@hotmail.com										///
///														///
///////////////////////////////////////////////////////////////////////////////////////

textures/crn_schadq3w1/thesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 80
	q3map_sun	1 1 0.5 100	30 60
	skyparms env/interstellar - -
}

textures/crn_schadq3w1/bettergib
{
	qer_editorimage textures/crn_schadq3w1/sign_1.tga
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		animMap 0.5 textures/crn_schadq3w1/sign_1.tga textures/crn_schadq3w1/sign_2.tga textures/crn_schadq3w1/sign_3.tga textures/crn_schadq3w1/sign_q3w.tga textures/crn_schadq3w1/black.tga 
		rgbGen wave inversesawtooth 0 1 0 0.5
	}
	{
		map textures/crn_schadq3w1/screenlines.tga
		blendFunc add
		tcmod scale 2 1.8
		tcmod scroll -7 0
	}
}

textures/crn_schadq3w1/blacksky
{
	qer_editorimage textures/crn_schadq3w1/black.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map textures/crn_schadq3w1/black.tga
		rgbgen identity
	}
}

textures/crn_schadq3w1/arrows
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/crn_schadq3w1/arrows.tga
		blendfunc add
		rgbGen identity
	}
}

textures/crn_schadq3w1/bluecircle
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		clampmap textures/crn_schadq3w1/bluecircle.tga
		blendfunc add
		tcmod rotate 35
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/bluecircle1.tga
		blendfunc add
		tcmod rotate 90
		rgbGen identity
	}
}

textures/crn_schadq3w1/bluemetal
{
	qer_editorimage textures/crn_schadq3w1/blueshiny.tga

	{
		map textures/crn_schadq3w1/bluefx.tga
		rgbGen identity
		tcGen environment
		tcmod scale .5 .5
	}
	{
		map textures/crn_schadq3w1/blueshiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/crn_schadq3w1/bluesprite
{
	qer_editorimage textures/crn_schadq3w1/blueflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite

	{
		clampmap textures/crn_schadq3w1/blueflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/blueflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/crn_schadq3w1/bluetrim
{
	qer_editorimage textures/base_support/grate2_7_small.tga

	{
		map textures/base_support/grate2_7_small.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/bluetrimmap.tga
		blendFunc GL_ONE GL_one
		rgbGen wave triangle 1.4 0.7 0 0.1
	}
}

textures/crn_schadq3w1/bluevent
{
	qer_editorimage textures/base_wall/bluemetalsupport2c_1vent.tga
	q3map_surfacelight 200
	q3map_lightimage textures/crn_schadq3w1/blueventmap.tga

	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/blueventmap.tga
		blendFunc GL_ONE GL_one
	}
}

textures/crn_schadq3w1/bluezzzt
{
	qer_editorimage textures/base_trim/pewter.tga

	{
		map textures/base_trim/tin.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/bzt.tga	
		tcmod scale 0.1 0.1
		tcmod turb 0 0.3 0 0.2
		tcmod scroll 0.2 0.4
		rgbGen wave sin 1.4 1.2 0 0.2
		blendfunc add
	}
	
}

textures/crn_schadq3w1/redcircle
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		clampmap textures/crn_schadq3w1/redcircle.tga
		blendfunc add
		tcmod rotate 35
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/redcircle1.tga
		blendfunc add
		tcmod rotate 90
		rgbGen identity
	}
}

textures/crn_schadq3w1/redmetal
{
	qer_editorimage textures/crn_schadq3w1/redshiny.tga

	{
		map textures/crn_schadq3w1/redfx.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/crn_schadq3w1/redshiny.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/crn_schadq3w1/redsprite
{
	qer_editorimage textures/crn_schadq3w1/redflare1.tga
	cull disable
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite

	{
		clampmap textures/crn_schadq3w1/redflare1.tga
		tcMod stretch sin .8 0.2 0 .1
		tcmod rotate 120
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		clampmap textures/crn_schadq3w1/redflare2.tga
		tcMod stretch sin .8 0.2 0 .2
		tcmod rotate -70
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/crn_schadq3w1/redtrim
{
	qer_editorimage textures/base_support/grate2_7_small.tga

	{
		map textures/base_support/grate2_7_small.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/redtrimmap.tga
		blendFunc GL_ONE GL_one
		rgbGen wave triangle 1.4 0.7 0 0.1
	}
}

textures/crn_schadq3w1/redvent
{
	qer_editorimage textures/base_wall/bluemetalsupport2c_1vent.tga
	q3map_surfacelight 200
	q3map_lightimage textures/crn_schadq3w1/redventmap.tga

	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/redventmap.tga
		blendFunc GL_ONE GL_one
	}
}

textures/crn_schadq3w1/tv2
{
	qer_editorimage textures/crn_schadq3w1/screenmap2.tga

	{
		map textures/base_wall/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/crn_schadq3w1/screenmap2.tga
		blendFunc add
		tcmod scroll 0.5 0
		rgbgen wave sin 1 0.3 0.5 20
	}
	{
		map textures/crn_schadq3w1/screenlines.tga
		blendFunc add
		tcmod scale 2 2
		tcmod scroll -5 0
	}
}

textures/crn_schadq3w1/windowslime
{

		qer_editorimage textures/liquids/slime7.tga
		q3map_lightimage textures/liquids/slime7.tga
		q3map_globaltexture

		surfaceparm nolightmap	
		q3map_surfacelight 200

		{
			map textures/liquids/slime7c.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/liquids/slime7.tga
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/liquids/bubbles.tga
			blendfunc add
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}
		{
			map textures/base_trim/tinfx.tga
			blendfunc add
			tcGen environment
			tcmod scale .5 .5
		}
}

textures/crn_schadq3w1/pa_tag
{
qer_editorimage textures/crn_schadq3w1/pa_both.tga
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans

	{
	map textures/crn_schadq3w1/pa_glow.tga
	blendfunc add
	rgbgen wave sin 0.7 0.3 0 0.3
	}
	{
	map textures/crn_schadq3w1/pa_both.tga
	rgbgen identitylighting
	blendFunc gl_one gl_zero
	alphaFunc GE128
	depthwrite
	}
	{
	map textures/crn_schadq3w1/pa_wang.tga
	blendfunc add
	tcmod scroll 0.25 0
	}
}


textures/crn_schadq3w1/concrete
{
	qer_editorimage textures/crn_schadq3w1/mapp_conc_dark.tga

	{
	map textures/base_wall/concrete_dark.tga
	rgbGen identity
	}
	{
	map $lightmap
	blendfunc filter
	rgbgen identity
	}
}
