// custom shaders for Devolved CTF
// created by mexx

// the custom shaders from q3mexx1 and q3mexxctf1 have been changed to
// mexx_q3w to prevent mix-ups as some of those have been reworked for the 
// q3w version of the map, etc.

textures/mexx_q3w/pad18b
{
	surfaceparm nodamage
	qer_editorimage textures/sfx/bouncepad01block18b.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 2000
	//q3map_lightimage textures/ctf_q3w/jumppadsmall_b.tga	
	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_q3w/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ctf_q3w/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mexx_q3w/pad18r
{
	surfaceparm nodamage
	qer_editorimage textures/sfx/bouncepad01block18b.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 2000
	//q3map_lightimage textures/ctf_q3w/jumppadsmall_r.tga	
	
	{
		map textures/sfx/bouncepad01block18b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_q3w/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ctf_q3w/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}


textures/mexx_q3w/pad17b
{
	qer_editorimage textures/sfx/bouncepad01_block17.tga
	surfaceparm nodamage
	//q3map_lightimage textures/ctf_q3w/jumppadsmall_b.tga	
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 1000
	
	{
		map textures/sfx/bouncepad01_block17.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_q3w/bouncepad01b_layer1_b.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ctf_q3w/jumppadsmall_b.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mexx_q3w/pad17r
{
	qer_editorimage textures/sfx/bouncepad01_block17.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 1000
	
	{
		map textures/sfx/bouncepad01_block17.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ctf_q3w/bouncepad01b_layer1_r.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/ctf_q3w/jumppadsmall_r.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/mexx_q3w/bluewater_old
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_lightimage textures/ctf_q3w/jumppadsmall_b.tga	
	q3map_surfacelight 1000
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	

	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mexx_q3w/bluewater
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_lightimage textures/ctf_q3w/jumppadsmall_b.tga	
	q3map_surfacelight 800
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mexx_q3w/bluesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/skies/toxicsky.tga
	q3map_surfacelight 400
	q3map_sun	1 1 0.5 150	30 60
	skyparms env/interstellar - -
}

textures/mexx_q3w/fence_nomarks
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm nomarks
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mexx_q3w/pentagram_nolight
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/mexx_q3w/clip_metalsteps
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm metalsteps
}

textures/mexx_q3w/blocks17_beam
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga

	{
		map textures/sfx/metalfloor_wall_14bglow2.tga
                tcmod scale 1.8 1.5
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/mexx_q3w/beam.tga
                tcmod scale 2 .5
                tcmod scroll 1 .43
	        blendFunc add
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/blocks18_skin
{
	qer_editorimage textures/gothic_block/blocks18b_ow.tga

        {
		map textures/skin/skin6thrust.tga
                //map textures/liquids/lavahell.tga
		tcMod turb 0 .27 0 .11
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks18b_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/blocks18c_num_shiny
{
	qer_editorimage textures/mexx_q3w/blocks18c_num.tga

        {
		map textures/liquids/proto_grueldark2.tga
                blendFunc GL_ONE GL_ZERO
                tcmod scale 2 2
                tcMod scroll 0 -.06
                tcMod turb 0 0.11 0 .05
        }
        {
		map textures/effects/tinfx3.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
       
	{
		map textures/mexx_q3w/blocks18c_num.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/mkc_evil_e3window_blue
{
	qer_editorimage textures/mexx_q3w/windowevil2c_block18c_blue.tga
	q3map_lightimage textures/mexx_q3w/evil2cglow_blue.tga
	q3map_surfacelight 400

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mexx_q3w/windowevil2c_block18c_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mexx_q3w/evil2cglow_blue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mexx_q3w/evil_e3window_dark_blue
{
	qer_editorimage textures/mexx_q3w/windowevil2c_block18c_blue.tga
	q3map_lightimage textures/mexx_q3w/evil2cglow_blue.tga
	q3map_surfacelight 100

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mexx_q3w/windowevil2c_block18c_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/mexx_q3w/evil2cglow_blue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/mexx_q3w/blue_flame
{
	qer_editorimage textures/sfx/b_flame7.tga
	q3map_lightimage textures/sfx/b_flame7.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500

	{
		animMap 10 textures/sfx/b_flame1.tga textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/b_flame2.tga textures/sfx/b_flame3.tga textures/sfx/b_flame4.tga textures/sfx/b_flame5.tga textures/sfx/b_flame6.tga textures/sfx/b_flame7.tga textures/sfx/b_flame8.tga textures/sfx/b_flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/b_flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/mexx_q3w/hellfog_blue
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 50
	fogparms ( .1 .12 .5 ) 392

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/mexx_q3w/blocks17_beam_red
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_9bglow.tga
                tcmod scale 2 1.7
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/mexx_q3w/beam.tga
                tcmod scale 2 .5
                tcmod scroll 1 .43
	        blendFunc add
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/blocks17_ctf_red
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_9bglow.tga
                tcmod scale 2 1.7
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/blocks17_ctf_blue
{
	qer_editorimage textures/gothic_block/blocks17_ow.tga

        {
		map textures/sfx/metalfloor_wall_14bglow2.tga
                tcmod scale 1.8 1.5
                tcmod rotate 8
                tcmod scroll .7 .5
                tcMod turb 0 .25 0 5.6
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
     	{
	        map textures/gothic_block/blocks17_ow.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/mexx_q3w/test
{
        {
		map textures/base_wall/concrete4.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/base_wall/concrete4.tga
                blendfunc blend
                rgbGen identity
		
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/mexx_q3w/pitted_rust3_nonsolid
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid

	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbGen identity
	}
	{	map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

